import React from 'react';
import { sizeType, modeType, colorSchemeType } from '../../utils/componentPropsTypes';
export interface IButtonCheckbox {
    mode: modeType;
    size: sizeType;
    children: React.ReactNode;
    color: colorSchemeType;
    onChange(): void;
    onClick(): void;
    value: boolean;
}
declare const ButtonCheckbox: React.FC<IButtonCheckbox>;
export default ButtonCheckbox;
